%global major   2
%define libname %mklibname uring %major
%define devname %mklibname uring -d

Name: liburing
Version: 2.3
Release: %mkrel 1
Summary: Linux-native io_uring I/O access library
Group: System/Libraries
License: (GPLv2 with exceptions and LGPLv2+) or MIT
Source0: https://brick.kernel.dk/snaps/%{name}-%{version}.tar.xz
URL: https://git.kernel.dk/cgit/liburing/
BuildRequires: gcc
BuildRequires: make

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %libname
Summary: Linux-native io_uring I/O access library
Group: System/Libraries

%description -n %libname
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %devname
Group: Development/Libraries
Summary: Development files for Linux-native io_uring I/O access library
Requires: %{libname}%{_isa} = %{version}-%{release}
Requires: pkgconfig
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%setup -q
%apply_patches


%build
./configure --prefix=%{_prefix} --libdir=/%{_libdir} --libdevdir=/%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}

%make_build

%install
rm -rf %buildroot
%make_install

%files -n %libname
%attr(0755,root,root) %{_libdir}/liburing.so.%{major}*

%files -n %devname
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%exclude %{_libdir}/liburing.a
%{_libdir}/pkgconfig/*
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_mandir}/man7/*



%changelog
* Wed Nov 16 2022 tex - 2.3-1pclos2022
- new version

* Thu Nov 03 2022 tex - 2.2-1pclos2022
- new version

* Wed Sep 22 2021 tex - 2.0-2pclos2021
- rebuild against updates

* Sun May 30 2021 tex - 2.0-1pclos2021
- create pkg
